Create custom provision definition
Creates a new custom provision definition for the specified account.
Authentication
AuthorizationBearer
OAuth2 authentication.
- Demo:
- authorizationUrl: https://account-d.docusign.com/oauth/auth
- tokenUrl: https://account-d.docusign.com/oauth/token
- Production:
- authorizationUrl: https://account.docusign.com/oauth/auth
- tokenUrl: https://account.docusign.com/oauth/token
Path parameters
accountId
Request
A provision definition.
key
Stable machine identifier for the provision. Populated on GET and POST responses; ignored on POST request bodies.
label
Human-readable display name for the provision. May contain spaces, punctuation, and mixed case.
category
The category a provision field belongs to.
type
The data type of the provision
Allowed values:
options
Available options when type is LIST.
associations
Associated resources or contexts for this provision.
metadata
Response
The provision definition was created successfully.
key
Stable machine identifier for the provision. Populated on GET and POST responses; ignored on POST request bodies.
label
Human-readable display name for the provision. May contain spaces, punctuation, and mixed case.
category
The category a provision field belongs to.
type
The data type of the provision
Allowed values:
options
Available options when type is LIST.
associations
Associated resources or contexts for this provision.
metadata
response_metadata
Control information and metadata for the response.
_links
Hypermedia controls (HATEOAS) for navigating between pages in a paginated collection of results. Links for the current page, next page, and previous page, with optional first and last page links.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error